{% set TIPOIDENTCEDULA=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_TIPOIDENTCEDULA') %}
{% set TIPOIDENTNOIDENTIFICADO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::CT_TIPOIDENTNOIDENTIFICADO') %}
{% set MINIMO_CARACTERES_EXTRANJERO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::MINIMO_CARACTERES_EXTRANJERO') %}
{% set MAXIMO_CARACTERES_EXTRANJERO=constant('HCUE\\PacienteBundle\\Entity\\Constantes::MAXIMO_CARACTERES_EXTRANJERO') %}
{% set MAXIMO_CARACTERES_NACIONAL=constant('HCUE\\PacienteBundle\\Entity\\Constantes::MAXIMO_CARACTERES_NACIONAL') %}

<div class="table-header">Ingrese un dato de búsqueda para el paciente</div>
<div class="col-md-12 width-100" style="margin: 20px 0;">
    <form id="formPacienteBusqueda" autocomplete='off' style="color: black;">
        <div class="row">
            <div class="col-md-4">
                <label style="font-size: 16px;">Búsqueda Avanzada</label>
            </div>
            <div class="col-md-4 left">
                <div class="input-group-btn">
                    <button id="boton-buscar-inicial" type="button"
                            class="btn btn-default btn-white btn-primary btn-bold dropdown-toggle"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                        <span id="var_campo_busqueda" data-value="tipoidentificacion">Tipo de identificación</span>&nbsp;&nbsp;
                        <span class="caret"> </span>
                    </button>
                    <ul class="dropdown-menu">
                        <li><a href="#" onclick="showDivBusqueda($(this));" data-value="tipoidentificacion">Tipo de
                                identificación</a></li>
                        <li><a href="#" onclick="showDivBusqueda($(this));" data-value="nombrepaciente">Nombre y
                                Apellido</a></li>
                    </ul>
                </div>
            </div>
            <div class="col-md-4 left">
                <button type="button" onclick="searchPacienteDatatable();" class="btn_botonera btn btn-sm btn-success"
                        id="searchpacientedatatble-button">
                    <i class="ace-icon fa fa-search bigger-110"></i>Buscar
                </button>
                <button type="button" onclick="clearSearchPacienteDatatable();" class="btn_botonera btn btn-sm btn-grey"
                        id="clean-button"
                        title="Limpiar">
                    <i class="ace-icon fa fa-eraser bigger-110"></i>Limpiar
                </button>
            </div>
        </div>
        <div class="col-md-12 width-100">
            <div class="row" id="div_tipoidentificacion">
                <fieldset class="scheduler-border">
                    <legend class="scheduler-border">
                        Por tipo de identificación
                    </legend>
                    <div class="col-xs-6">
                        <div class="form-group">
                            <label class="control-label required">Tipo de Identificación
                                <i style="color:red" class="asterisk">*</i>
                            </label>
                            <select id="paciente_cttipoidentificacion" name="cttipoidentificacion"
                                    class="input-sm required form-control">
                                <option value="" >--Seleccione--</option>
                                {% for tipo in tipoidentificacion %}
                                    <option value="{{ tipo.id }}" {% if(tipo.id==TIPOIDENTCEDULA) %} selected{%endif%}>{{ tipo.descripcion }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                    <div class="col-xs-6">
                        <div class="form-group">
                            <label class="control-label required">
                                Número de Identificación
                                <i style="color:red" class="asterisk">*</i>
                            </label>
                            <input type="text" id="paciente_numeroidentificacion" name="numeroidentificacion"
                                   class="input-sm buscarenter required upper form-control cedula"
                                   placeholder="Número Identificación">
                        </div>
                    </div>
                </fieldset>
            </div>

            <div class="row" id="div_nombreapellido">
                <fieldset class="scheduler-border">
                    <legend class="scheduler-border">
                        Por Nombre y Apellido
                    </legend>
                    <div class="col-xs-3">
                        <div class="form-group">
                            <label class="control-label">
                                Primer Nombre
                            </label>
                            <input type="text" id="paciente_primernombre" name="primernombre"
                                   class="input-sm buscarenter upper alphaspace form-control"
                                   placeholder="Ingrese primer nombre" maxlength="50" minlength="2">
                        </div>
                    </div>
                    <div class="col-xs-3">
                        <div class="form-group">
                            <label class="control-label">
                                Segundo Nombre
                            </label>
                            <input type="text" id="paciente_segundonombre" name="segundonombre"
                                   class="input-sm buscarenter upper alphaspace form-control"
                                   placeholder="Ingrese segundo nombre" maxlength="50" minlength="2">
                        </div>
                    </div>
                    <div class="col-xs-3">
                        <div class="form-group"><label class="control-label">
                                Primer Apellido
                            </label>
                            <input type="text" id="paciente_apellidopaterno" name="apellidopaterno"
                                   class="input-sm buscarenter upper alphaspace form-control"
                                   placeholder="Ingrese primer apellido" maxlength="50" minlength="2">
                        </div>
                    </div>
                    <div class="col-xs-3">
                        <div class="form-group">
                            <label class="control-label">
                                Segundo Apellido
                            </label>
                            <input type="text" id="paciente_apellidomaterno" name="apellidomaterno"
                                   class="input-sm buscarenter upper alphaspace form-control"
                                   placeholder="Ingrese segundo apellido" maxlength="50" minlength="2">
                        </div>
                    </div>
                </fieldset>
            </div>
        </div>
    </form>
</div>


<script type="application/javascript">

    var searchsearchpacientedatatble_button = $('#searchpacientedatatble-button');
    var tipoIdentificacion = $("#paciente_cttipoidentificacion");
    var numeroIdentificacion = $("#paciente_numeroidentificacion");
    var apellidoPaterno = $("#paciente_apellidopaterno");
    var apellidoMaterno = $("#paciente_apellidomaterno");
    var primerNombre = $("#paciente_primernombre");
    var segundoNombre = $("#paciente_segundonombre");
    var formPacienteBusqueda = $("#formPacienteBusqueda");
    var selector = "#paciente_datatable";
    var controlenter = 0;

    $(function () {

        $('#div_nombreapellido').hide();
        formPacienteBusqueda.initInputsForm().validationForm();
        $('.individual_filtering').parent().parent().addClass('hidden');
        numeroIdentificacion.focus();

    });


    tipoIdentificacion.on('change', function () {

        var valor = $(this).val();
        controlenter = 0;

        if (valor == parseInt('{{ TIPOIDENTCEDULA }}')) {
            numeroIdentificacion.removeClass("upper")
                .removeClass("alphanumeric")
                .removeAttr("required minlength")
                .attr("maxlength", '{{ MAXIMO_CARACTERES_NACIONAL }}')
                .addClass("numeric cedula")
            ;
        }
        else if (valor == parseInt('{{ TIPOIDENTNOIDENTIFICADO }}')) {
            numeroIdentificacion.removeClass("upper")
                .removeClass("cedula").removeClass("numeric")
                .addClass("upper alphanumeric")
                .attr("maxlength", 17).attr("minlength", 17)
            ;
        }
        else {
            numeroIdentificacion.removeClass("cedula")
                .removeClass("cedula").removeClass("numeric")
                .addClass("upper alphanumeric")
                .attr("maxlength", '{{ MAXIMO_CARACTERES_EXTRANJERO }}')
                .attr("minlength", '{{ MINIMO_CARACTERES_EXTRANJERO }}')
            ;
        }

        numeroIdentificacion.val('');
        if (valor > 0) {
            numeroIdentificacion.attr('disabled', false);
            numeroIdentificacion.unbind().focus()
                .bind("keydown", function (e) {
                    pressEnter(e);
                });
            formPacienteBusqueda.initInputsForm();

        } else {
            numeroIdentificacion.attr('disabled', true);
        }
    });

    function pressEnter(e) {
        if (e.which === 13) {
            if (controlenter == 0) {
                controlenter = 1;
                e.preventDefault();
                searchsearchpacientedatatble_button.click();
            }
        } else {
            controlenter = 0;
        }
    }

    function searchPacienteDatatable() {

        if (formPacienteBusqueda.valid()) {

            //ocultar el sidebar right
            var sidebar_right = $(".sidebar_right");
            if (sidebar_right.hasClass("compact")) {
                $(".sidebar_right").removeClass('compact').addClass('menu-min');
                $("#sidebar-expand").removeClass('sidebar-expand').addClass('sidebar-collapse');
                $("#sidebar-collapse").removeClass('sidebar-collapse').addClass("sidebar-expand");
            }

            var campo_busqueda = $('#var_campo_busqueda').data("value");
            if (campo_busqueda == "nombrepaciente") {
                var contador = 0;
                contador = (primerNombre.val() != "") ? contador + 1 : contador;
                contador = (segundoNombre.val() != "") ? contador + 1 : contador;
                contador = (apellidoPaterno.val() != "") ? contador + 1 : contador;
                contador = (apellidoMaterno.val() != "") ? contador + 1 : contador;
                if (contador < 2) {
                    $.alert("Es obligatorio llenar dos campos", "info");
                    primerNombre.focus();
                    return false;
                }
            }
            $.processWait.show();
            setTimeout(function () {
                $(selector).DataTable()
                    .column('.tipoidentificacion_id').search(tipoIdentificacion.val())
                    .column('.numeroidentificacion').search(numeroIdentificacion.val())
                    .column('.primernombre').search(primerNombre.val())
                    .column('.segundonombre').search(segundoNombre.val())
                    .column('.apellidopaterno').search(apellidoPaterno.val())
                    .column('.apellidomaterno').search(apellidoMaterno.val())
                    .draw();
            }, 100);

            $.processWait.hide();
        }
    }

    function clearSearchPacienteDatatable() {

        setTimeout(function () {
            $(selector).DataTable()
                .search('')
                .columns().search('')
                .draw();
        }, 100);
        limpiarCamposBusqueda();
    }


    $('.buscarenter').keydown(function (e) {
        pressEnter(e);
    })


    function showDivBusqueda(obj) {
        var idcampo = obj.data('value');
        $('#var_campo_busqueda').text(obj.text());
        $('#var_campo_busqueda').data("value", idcampo);

        switch (idcampo) {
            case 'nombrepaciente':
                $('#div_nombreapellido').show();
                $('#div_tipoidentificacion').hide();
                primerNombre.focus();
                tipoIdentificacion.removeClass('required');
                numeroIdentificacion.removeClass('required');
                limpiarCamposBusqueda();
                break;
            case 'tipoidentificacion':
                $('#div_nombreapellido').hide();
                $('#div_tipoidentificacion').show();
                tipoIdentificacion.addClass('required');
                numeroIdentificacion.addClass('required').focus();
                limpiarCamposBusqueda();
                tipoIdentificacion.val('{{TIPOIDENTCEDULA}}');
                tipoIdentificacion.change();
                break;
        }
    }

    function limpiarCamposBusqueda() {
        tipoIdentificacion.val('');
        numeroIdentificacion.val('').attr('disabled', true);
        primerNombre.val('');
        segundoNombre.val('');
        apellidoPaterno.val('');
        apellidoMaterno.val('');
    }


</script>

<style>
    fieldset.scheduler-border {
        border: 1px groove #d5e3ef !important;
        padding: 0 1.4em 1.4em 1.4em !important;
        margin: 0 0 1.5em 0 !important;
        -webkit-box-shadow: 0px 0px 0px 0px #000;
        box-shadow: 0px 0px 0px 0px #000;
    }

    legend.scheduler-border {
        font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
        /*color: #0092e0;*/
        font-size: 14px;
        font-weight: lighter;
        text-align: left;
        width: auto;
        padding: 10px;
        margin-bottom: 0px;
        border-bottom: none;
    }
</style>